Package net.shibboleth.shared.spring.servlet.impl

# Class ChainingFilter.Chain

java.lang.Object
net.shibboleth.shared.spring.servlet.impl.ChainingFilter.Chain

All Implemented Interfaces:
  `FilterChain`

Enclosing class:
  ChainingFilter

private class ChainingFilter.Chain extends Object implements FilterChain
Internal iteration of chain.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Iterator<ChainableFilter>`
`iterator`
Tracked iterator.
`private FilterChain`
`outerChain`
Chain of top-level filters.

## Constructor Summary

Constructors
Constructor
Description
`Chain(FilterChain outer)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iterator

@Nonnull private Iterator<ChainableFilter> iterator
Tracked iterator.

### outerChain

@Nonnull private FilterChain outerChain
Chain of top-level filters.

## Constructor Details

### Chain

public Chain(@Nonnull FilterChain outer)
Constructor.

Parameters:
  `outer` - outer filter chain

## Method Details

### doFilter

public void doFilter(ServletRequest request, ServletResponse response) throws IOException, ServletException

Specified by:
  `doFilter` in interface `FilterChain`
Throws:
  `IOException`
  `ServletException`